Get a Boomtrain Identifier for a Person (Deprecated)

Returns the Boomtrain identifier for the specified user, given zero or more other identifiers. This route will also create a person record for identified users who do not yet have a person record.

Note: This route has been deprecated in favor of https://boomtrain.readme.io/v1/docs/get-a-boomtrain-identifier

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The POST /identify routes serves two purposes: to give the caller an identifier for a person, and to manage people records based on the information given.

Identification of People

For each identifier (which is guaranteed to have at most one record associated with it), we will check to see if it corresponds to a known person record. After looking up each identifier:

  • If no existing records are found, the route returns a new identifier that represents the beginning of this person's history.
  • If one record is found, the route returns an identifier that represents that person.
  • If more than one record is found, the route returns an identifier that represents the record with the highest priority according to the following chart:

Priority of Identifiers

HIGHEST PRIORITYLOWEST PRIORITY
user_idemailbsin

Management of Person Records

In order to simplify the management of person records, this route also merges and updates person records according to the following logic:

After the aforementioned lookup on each identifier,

  • If no existing records were found, the route creates a new record with all of supplied identifiers in it.

  • If one record was found, the route will add any of the supplied identifiers that are empty in the found record to it. Note that currently it will NOT overwrite any identifiers that exist in that record, even if they are different.

  • If more than one record was found, the route will attempt to merge all records that were found based on lower priority identifiers per the above chart, into the record of highest priority. If any records show conflicting (non-empty) information in any non-BSIN identifier fields, the merge will not proceed, the lowest priority record will be disregarded, and the merge will again be attempted with the remaining record. This process will continue until there are no more records to merge. Upon any successful merge, all activity previously associated with a record that was merged into a higher priority record will be aliased to the new, higher priority record.

Body Params
string

The person's email address

string

The Boomtrain identifier returned from a previous identify call for this person

string

Your internal user ID for the identified person

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json